from VerificationCode.mcbbs.SignIn import main_sign_in
from VerificationCode.mcbbs.reply import reply
from timing.time import set_time
from VerificationCode.mcbbs.task import get_new_tasks, complete_tasks
from selenium import webdriver
from loginTools.login import login
from loginTools.include_all_cookies import include_all_cookies
import time
import threading


def main():
    threads = [threading.Thread(target=main_reply), threading.Thread(target=main_tasks_and_sign)]
    for t in threads:
        t.start()
        print(t)


def main_reply():
    driver = webdriver.Chrome()
    cookies = include_all_cookies()
    while True:
        for cookie_path in cookies:
            login(driver, cookie_path)
            time.sleep(10)
            reply(driver)
            time.sleep(10)
            reply(driver)
            time.sleep(10)
            reply(driver)
        time.sleep(600)


def main_tasks_and_sign():
    while True:
        tasks()
        time.sleep(86400)


def tasks():
    driver_another = webdriver.Firefox()
    set_time(get_tasks_and_sign_in, (driver_another,), " 07:30:00")
    set_time(final_complete_tasks, (driver_another,), " 19:30:00")


def get_tasks_and_sign_in(driver):
    cookies = include_all_cookies()
    for cookie_path in cookies:
        login(driver, cookie_path)
        main_sign_in(driver)
        get_new_tasks(driver)


def final_complete_tasks(driver):
    cookies = include_all_cookies()
    for cookie_path in cookies:
        login(driver, cookie_path)
        complete_tasks(driver)


if __name__ == '__main__':
    main()
